DROP TABLE CRST_FND_ATTACHED_DOCUMENTS;

CREATE TABLE CRST_FND_ATTACHED_DOCUMENTS
(
  ATTACHED_DOCUMENT_ID      NUMBER              NOT NULL,
  DOCUMENT_ID               NUMBER              NOT NULL,
  CREATION_DATE             DATE                NOT NULL,
  CREATED_BY                NUMBER              NOT NULL,
  LAST_UPDATE_DATE          DATE                NOT NULL,
  LAST_UPDATED_BY           NUMBER              NOT NULL,
  LAST_UPDATE_LOGIN         NUMBER,
  SEQ_NUM                   NUMBER              NOT NULL,
  ENTITY_NAME               VARCHAR2(40 BYTE)   NOT NULL,
  PK1_VALUE                 VARCHAR2(100 BYTE),
  PK2_VALUE                 VARCHAR2(100 BYTE),
  PK3_VALUE                 VARCHAR2(100 BYTE),
  PK4_VALUE                 VARCHAR2(150 BYTE),
  PK5_VALUE                 VARCHAR2(150 BYTE),
  AUTOMATICALLY_ADDED_FLAG  VARCHAR2(1 BYTE)    NOT NULL,
  PROGRAM_APPLICATION_ID    NUMBER,
  PROGRAM_ID                NUMBER,
  PROGRAM_UPDATE_DATE       DATE,
  REQUEST_ID                NUMBER,
  ATTRIBUTE_CATEGORY        VARCHAR2(30 BYTE),
  ATTRIBUTE1                VARCHAR2(150 BYTE),
  ATTRIBUTE2                VARCHAR2(150 BYTE),
  ATTRIBUTE3                VARCHAR2(150 BYTE),
  ATTRIBUTE4                VARCHAR2(150 BYTE),
  ATTRIBUTE5                VARCHAR2(150 BYTE),
  ATTRIBUTE6                VARCHAR2(150 BYTE),
  ATTRIBUTE7                VARCHAR2(150 BYTE),
  ATTRIBUTE8                VARCHAR2(150 BYTE),
  ATTRIBUTE9                VARCHAR2(150 BYTE),
  ATTRIBUTE10               VARCHAR2(150 BYTE),
  ATTRIBUTE11               VARCHAR2(150 BYTE),
  ATTRIBUTE12               VARCHAR2(150 BYTE),
  ATTRIBUTE13               VARCHAR2(150 BYTE),
  ATTRIBUTE14               VARCHAR2(150 BYTE),
  ATTRIBUTE15               VARCHAR2(150 BYTE),
  COLUMN1                   VARCHAR2(30 BYTE),
  APP_SOURCE_VERSION        VARCHAR2(255 BYTE),
  CATEGORY_ID               NUMBER,
  STATUS                    VARCHAR2(30 BYTE)
);
